package example

import (
	handler "kra/internal/server/handler/example"
	"kra/internal/server/middleware"

	"github.com/gin-gonic/gin"
)

type AttachmentCategoryRouter struct{}

func (r *AttachmentCategoryRouter) InitAttachmentCategoryRouter(Router *gin.RouterGroup) {
	categoryRouter := Router.Group("attachmentCategory").Use(middleware.OperationRecordMiddleware())
	categoryRouterWithoutRecord := Router.Group("attachmentCategory")
	var api handler.AttachmentCategoryApi
	{
		categoryRouter.POST("addCategory", api.AddCategory)
		categoryRouter.POST("deleteCategory", api.DeleteCategory)
	}
	{
		categoryRouterWithoutRecord.GET("getCategoryList", api.GetCategoryList)
	}
}
